<?php
# retourne le nombre de points misés par un joueur
# excepté une catégorie donnée. Il suffit de ne pas spécifier la categorie
# pour avoir tous les points misés
function pointsBet($PlayerId,$CategoryId)
{
	# pour calculer les points misés, il faut prendre chaque
	# categorie et voir pour chaque categorie combien de points on ete misé
	# SAUF ceux de la categorie où on est puisqu'on est dessus !
	# ATTENTION : les points misés sur les paris de la catégorie sélectionnés dont la date de fin de pari
	# est passée DOIVENT être comptabilisé !!! Sinon dans la grille on se retrouve avec 
	# trop de points à parier dans la grille.
	if ($CategoryId>0)
	{
		# recup de la date pour les paris de la categorie qui sont fermés mais pas encore résolu
		$current_european_date = date("Y-m-d H:i:s", my_local_time());
		
		$total = db_fetch_array(main_db_query("SELECT SUM(Amount) AS total ".
			" FROM Paris ".
			" LEFT JOIN Matchs ON Matchs.MatchId=Paris.MatchId ".
			" LEFT JOIN Categories ON Categories.CategoryId=Matchs.Category ".
			" WHERE Done='0' ".
			" AND Paris.PlayerId='".$PlayerId."'".
			" AND (Matchs.Category!='".$CategoryId."' OR Matchs.Date<'".$current_european_date."')"));
	}
	else
	{
		$total = db_fetch_array(main_db_query("SELECT SUM(Amount) AS total FROM Paris WHERE Done='0' AND Paris.PlayerId='".$PlayerId."'"));
	}
	return intval($total[total]);
}
?>